DKBSignDocs

API reference

PATCHRequires Bearer token

Update profile

/api/v1/profile/{user}/update

Update `/api/v1/profile/{user}/update`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

FieldTypeDescription
user
Required
stringPath parameter `user`.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
name
stringDisplay name.
e.g. "Jane Doe"
phone
stringPhone number.
e.g. "+2250700000001"

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X PATCH 'https://api.dkbsigns.com/api/v1/profile/user/update' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Jane Doe","phone":"+2250700000001"}'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}